Package com.oracle.truffle.api.source

## Interface BytesDecoder

All Known Implementing Classes:
  `BytesDecoder.UTF8BytesDecoder`

    public interface BytesDecoder

For a language where strings do not map into Java strings, provides utilities to find line endings and to decode raw bytes into an approximate representation for tools to display.

See `Source.fromBytes(byte[], java.lang.String, com.oracle.truffle.api.source.BytesDecoder)`.

### Nested Class Summary

Nested Classes
`static interface` `BytesDecoder.LineMarker`
`static class` `BytesDecoder.UTF8BytesDecoder`

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `decode​(byte[] bytes, int byteIndex, int length)`
`void` `decodeLines​(byte[] bytes, int byteIndex, int length, BytesDecoder.LineMarker lineMarker)`

### Method Detail

#### decode

    java.lang.String decode​(byte[] bytes,
                            int byteIndex,
                            int length)

#### decodeLines

    void decodeLines​(byte[] bytes,
                     int byteIndex,
                     int length,
                     BytesDecoder.LineMarker lineMarker)